<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-tabView #tabview>
        <p-tabPanel header="Data Konsumen">
            <div>
                <p-panel header="Data Konsumen">
                    <div class="row">
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>No Polisi <span style="color:red;"> *</span></label>
                                <input type="text" pInputText class="form-control" name="vehicleId" [(ngModel)]="workOrderBooking.vehicleNumber" placeholder="No Polisi"
                                    style="text-transform: uppercase">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Nama Depan<span style="color:red;"> *</span></label>
                                <input type="text" pInputText class="form-control" name="firstName" [(ngModel)]="workOrderBooking.customer.person.firstName"
                                    placeholder="Nama Depan" style="text-transform: uppercase">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Nama Belakang<span style="color:red;"> *</span></label>
                                <input type="text" pInputText class="form-control" name="lastName" [(ngModel)]="workOrderBooking.customer.person.lastName"
                                    placeholder="Nama Belakang" style="text-transform: uppercase">
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>Nomor Handphone <span style="color:red;"> *</span></label>
                                <input type="text" pInputText name="cellPhone" [(ngModel)]="workOrderBooking.customer.person.cellPhone1.number" class="form-control"
                                    placeholder="No Handphone">
                            </div>
                        </div>
                    </div>
                    <div class="row">                        
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Kode Tipe Kendaraan <span style="color:red;"> *</span></label>
                                <select class="form-control" id="field_motor" name="motor" [(ngModel)]="workOrderBooking.vehicle.productId"  >
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorTypeById">{{motorOption.idProduct}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Warna <span style="color:red;"> *</span></label>
                                <select class="form-control" id="field_color" name="color" [(ngModel)]="workOrderBooking.vehicle.featureId"  >
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="colorOption.idFeature" *ngFor="let colorOption of colors; trackBy: trackColorById">{{colorOption.description}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Market Name</label>
                                <label class="form-control">{{workOrderBooking.vehicle.productName}} / {{workOrderBooking.vehicle.featureDescriptionription}}</label>
                            </div>
                        </div>
                    </div>
                </p-panel>
                <br/>
            </div>
            <div>
                <p-panel header="Informasi Booking">
                    <div class="row">
                        <div class="form-group col-sm-6">
                            <label jhiTranslate="mpmApp.workOrderBooking.bookingType" for="field_bookingType">Booking Type</label>
                            <select class="form-control" id="field_bookingType" name="bookingType" [(ngModel)]="workOrderBooking.bookingTypeId"  >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="bookingTypeOption.idBookingType" *ngFor="let bookingTypeOption of bookingtypes; trackBy: trackBookingTypeById">{{bookingTypeOption.description}}</option>
                    </select>
                        </div>
                        <div class="form-group col-sm-6">
                            <label jhiTranslate="mpmApp.workOrderBooking.eventType" for="field_eventType">Event Type</label>
                            <select class="form-control" id="field_eventType" name="eventType" [(ngModel)]="workOrderBooking.eventTypeId"  >
                                <option [ngValue]="null"></option>
                                <option [ngValue]="eventTypeOption.idEventType" *ngFor="let eventTypeOption of eventtypes; trackBy: trackEventTypeById">{{eventTypeOption.description}}</option>
                            </select>
                        </div>
                    </div>
                </p-panel>
                <br/>
            </div>
                <div>
                    <p-panel header="Detail Informasi Konsumen">

                        <div class="form-group" [hidden]="!workOrderBooking.idBooking">
                            <label class="form-control-label" jhiTranslate="mpmApp.workOrderBooking.bookingNumber" for="field_bookingNumber">Booking Number</label>
                            <input type="text" pInputText class="form-control" name="bookingNumber" id="field_bookingNumber" [(ngModel)]="workOrderBooking.bookingNumber"
                                [readonly]="true" />
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label jhiTranslate="mpmApp.workOrderBooking.slot" for="field_slot">Slot</label>
                                    <input type="text"  pInputText class="form-control" name="slot" id="field_slot" 
                                    [(ngModel)]="workOrderBooking.slotId" [readonly]="true"/>
                                </div>
                            </div>
                            <div class="col-md-2" style="padding-top:30px">
                                <button pButton type="button"
                                    label="Select Slot"
                                    class="ui-button-danger btn-sm"
                                    [routerLink]="['/', { outlets: { popup: ['booking-select-slot'] } }]">
                                </button>
                            </div>
                        </div>
                    </p-panel>
                </div>
        </p-tabPanel>
        <p-tabPanel header="Pekerjaan">
            <div class="row">
                <div class="ui-lg-6 ui-md-6 ui-sm-6">
                    <p-panel header="Riwayat Service">
                        
                    </p-panel>
                </div>
                <div class="ui-lg-6 ui-md-6 ui-sm-6">
                    <p-panel header="Keluhan">
                            
                    </p-panel>
                </div>
                <div class="ui-lg-12 ui-md-12 ui-sm-12">
                    <p-panel header="Pekerjaan">
                        <div>
                            <button pButton type="button" icon="fa-plus" class="big-flat-button" 
                            [routerLink]="['/', { outlets: { popup: 'service-lov'} }]">
                            </button>
                            <span>Pekerjaan</span>
                        </div>
                        <div class="col-md-4">
                            <button type="button" class="btn btn-primary" (click)="resumeBooking = !resumeBooking">
                                <span>Resume Booking</span>
                            </button>
                        </div>
                    </p-panel>
                </div>
            </div>
        </p-tabPanel>
    </p-tabView>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" (click)="previousState()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>

<p-dialog [(visible)]="resumeBooking" responsive="true" width="400" modal="true">
    <p-header>
         Resume Booking
    </p-header>

    <div class="row">
        <div class="col-md-12">
            <table class="table">
                <tr>
                    <td>Nomor Polisi</td>
                    <td>L 123 ABC</td>
                </tr>
                <tr>
                    <td>Nama</td>
                    <td>Andy Sudarma</td>
                </tr>
                <tr>
                    <td>Tanggal Booking</td>
                    <td>24 Mar 2017</td>
                </tr>
                <tr>
                    <td>Jam</td>
                    <td>08.00</td>
                </tr>
                <tr>
                    <td>Service</td>
                    <td>ASS4</td>
                </tr>
                <tr>
                    <td>Estimasi Biaya</td>
                    <td>127.500</td>
                </tr>
            </table>
        </div>        
    </div>

    <p-footer>
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="resumeBooking = !resumeBooking" >
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="button" class="btn btn-primary">
            <span class="fa fa-check"></span>&nbsp;<span>Ok</span>
        </button>
    </p-footer>
</p-dialog>